/*
 * Copyright 2017 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.jbpm.workbench.cm.client.list;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.InjectMocks;
import org.mockito.Mock;
import org.mockito.runners.MockitoJUnitRunner;
import static org.mockito.Mockito.verify;

@RunWith(MockitoJUnitRunner.class)
public class CaseInstanceListSearchViewTest {

    @InjectMocks
    CaseInstanceListSearchViewImpl actions;

    @Mock
    CaseInstanceListPresenter presenter;

    @Test
    public void testRefreshCaseList(){
        actions.onRefreshCaseClick(null);

        verify(presenter).refreshData();
    }

    @Test
    public void testCreateCaseClick(){
        actions.onCreateCaseClick(null);

        verify(presenter).createCaseInstance();
    }

}
